#pragma once

#include "CoreMinimal.h"
#include "StoreFeaturedRecommendationImageData.h"
#include "StoreFeaturedSingleCharacterRecommendationData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedSingleCharacterRecommendationData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 CharacterIndex;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FStoreFeaturedRecommendationImageData Image;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Weight;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedSingleCharacterRecommendationData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedSingleCharacterRecommendationData) { return 0; }
